Skip to main content
GET
/
texml
/
Accounts
/
{account_sid}
/
Transcriptions
/
{recording_transcription_sid}
.json
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response =
  await client.texml.accounts.transcriptions.json.retrieveRecordingTranscriptionSidJson(
    '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
    { account_sid: 'account_sid' },
  );

console.log(response.account_sid);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.texml.accounts.transcriptions.json.retrieve_recording_transcription_sid_json(
recording_transcription_sid="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
account_sid="account_sid",
)
print(response.account_sid)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Texml.Accounts.Transcriptions.Json.GetRecordingTranscriptionSidJson(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.TexmlAccountTranscriptionJsonGetRecordingTranscriptionSidJsonParams{
AccountSid: "account_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.AccountSid)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.transcriptions.json.JsonRetrieveRecordingTranscriptionSidJsonParams;
import com.telnyx.sdk.models.texml.accounts.transcriptions.json.JsonRetrieveRecordingTranscriptionSidJsonResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

JsonRetrieveRecordingTranscriptionSidJsonParams params = JsonRetrieveRecordingTranscriptionSidJsonParams.builder()
.accountSid("account_sid")
.recordingTranscriptionSid("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
.build();
JsonRetrieveRecordingTranscriptionSidJsonResponse response = client.texml().accounts().transcriptions().json().retrieveRecordingTranscriptionSidJson(params);
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

response = telnyx.texml.accounts.transcriptions.json.retrieve_recording_transcription_sid_json(
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
account_sid: "account_sid"
)

puts(response)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$response = $client
->texml
->accounts
->transcriptions
->json
->retrieveRecordingTranscriptionSidJson(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58', accountSid: 'account_sid'
);

var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx texml:accounts:transcriptions:json retrieve-recording-transcription-sid-json \
--api-key 'My API Key' \
--account-sid account_sid \
--recording-transcription-sid 6a09cdc3-8948-47f0-aa62-74ac943d6c58
curl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Transcriptions/{recording_transcription_sid}.json \
--header 'Authorization: Bearer <token>'
{
  "account_sid": "61bf923e-5e4d-4595-a110-56190ea18a1b",
  "call_sid": "v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA",
  "api_version": "2010-04-01",
  "date_created": "2023-08-11T19:12:11Z",
  "date_updated": "2023-08-11T19:12:11Z",
  "duration": "12",
  "sid": "e9cea0be-7dbd-4b98-98b1-c0089d9d43b0",
  "recording_sid": "e9cea0be-7dbd-4b98-98b1-c0089d9d43b0",
  "status": "completed",
  "transcription_text": "Good morning, how may I help you?",
  "uri": "/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json"
}
{
"errors": [
{
"detail": "Resource not found"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The id of the account the resource belongs to.

recording_transcription_sid
string<uuid>
required

Uniquely identifies the recording transcription by id.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Response

Successful get Recording Transcription Response

account_sid
string
Example:

"61bf923e-5e4d-4595-a110-56190ea18a1b"

call_sid
string
Example:

"v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA"

api_version
string

The version of the API that was used to make the request.

Example:

"2010-04-01"

date_created
string<date-time>
Example:

"2023-08-11T19:12:11Z"

date_updated
string<date-time>
Example:

"2023-08-11T19:12:11Z"

duration
string | null

The duration of this recording, given in seconds.

Example:

"12"

sid
string

Identifier of a resource.

Example:

"e9cea0be-7dbd-4b98-98b1-c0089d9d43b0"

recording_sid
string

Identifier of a resource.

Example:

"e9cea0be-7dbd-4b98-98b1-c0089d9d43b0"

status
enum<string>

The status of the recording transcriptions. The transcription text will be available only when the status is completed.

Available options:
in-progress,
completed
Example:

"completed"

transcription_text
string

The recording's transcribed text

Example:

"Good morning, how may I help you?"

uri
string

The relative URI for the recording transcription resource.

Example:

"/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json"